Index: /extensions/Autosize/admin/template/header_2_1.tpl
===================================================================
--- /extensions/Autosize/admin/template/header_2_1.tpl	(revision 10786)
+++ /extensions/Autosize/admin/template/header_2_1.tpl	(revision 10787)
@@ -1,8 +1,8 @@
-﻿{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=0}
-{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"} 
+{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=0}
+{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
 {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/minified/ui.core.min.js"}
 
-{known_script id="conflit_script" src = $AUTOSIZE_PATH|@cat:"js/conflit.js"  } 
-{known_script id="dimensions" src = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"  } 
+{known_script id="conflit_script" src = $AUTOSIZE_PATH|@cat:"js/conflit.js"  }
+{known_script id="dimensions" src = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"  }
 
 
Index: /extensions/Autosize/admin/template/header_2_2.tpl
===================================================================
--- /extensions/Autosize/admin/template/header_2_2.tpl	(revision 10786)
+++ /extensions/Autosize/admin/template/header_2_2.tpl	(revision 10787)
@@ -1,6 +1,6 @@
-﻿{get_combined_scripts load='header'} 
+{get_combined_scripts load='header'}
 {combine_script id="jquery" load="header" path = "themes/default/js/jquery.min.js"}
 {combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
-{combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery"} 
-{combine_script id="dimensions" path = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js" require="jquery"} 
+{combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery"}
+{combine_script id="dimensions" path = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js" require="jquery"}
 
Index: /extensions/Autosize/admin/template/help.tpl
===================================================================
--- /extensions/Autosize/admin/template/help.tpl	(revision 10786)
+++ /extensions/Autosize/admin/template/help.tpl	(revision 10787)
@@ -1,6 +1,6 @@
-﻿{html_head} {if PHPWG_VERSION < 2.2 }
+{html_head} {if PHPWG_VERSION < 2.2 }
  {include file=$AUTOSIZE_PATH_ABS|@cat:'admin/template/header_2_1.tpl'}
-{else} 
-{include file= $AUTOSIZE_PATH_ABS|@cat:'admin/template/header_2_2.tpl'} 
+{else}
+{include file= $AUTOSIZE_PATH_ABS|@cat:'admin/template/header_2_2.tpl'}
 {/if}
 {/html_head}
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 10786)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 10787)
@@ -1,6 +1,3 @@
-
-
 Parent = "#theImage";
-
 function Toggle_bp() {
     cl_visible = !cl_visible;
@@ -296,5 +293,5 @@
 
          Zone_Affichage = { height: 0, width: 0 };
-         //============================================================        
+         //============================================================
          jQuery("#the_page").css({ top: "0px" });
          Info_the_page = jQuery("#the_page").infos();
@@ -304,5 +301,5 @@
 
          Zone_Affichage = jQuery(Parent).infos();
-         //   
+         //
          var old_window = { width: 0, height: 0 };
          Bandeau_bas = Info_Description_f(Parent);
@@ -316,5 +313,5 @@
          jQuery().newResize();
 
-         //===================================================================	
+         //===================================================================
          /*
          * window .resize
@@ -366,5 +363,5 @@
          //====================================================
          newResize: function () {
-           //  
+           //
            //if (options.imageAutosize) return true ;stripped
            if (DEBUG == "true") {
@@ -440,5 +437,5 @@
              } else if (info_ToolBar.width > 0) {
                marge = (info_the_page.width - info_ToolBar.width) / 2;
-              
+
                marge_right = marge + info_the_page.left;
                marge_left = marge;
@@ -635,5 +632,5 @@
            img_reelle.height = parseInt(img_reelle.height);
            if (img_reelle.height < parseInt(mini_height)) return true;
-           //==================================================================================   
+           //==================================================================================
            if (rapport < 0) {
 
@@ -764,6 +761,6 @@
              Image_width -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
              if (Image_width > widthmin) {
-               //   Image_width largeur à atteindre 
-               //  Calcul du rapport d'agrandissement 
+               //   Image_width largeur à atteindre
+               //  Calcul du rapport d'agrandissement
                var echelle_w = parseFloat((widthmin) / img_reelle.width, 3);
                if (echelle_w > echelle_max) { echelle_w = echelle_max; }
@@ -884,7 +881,7 @@
            if (jQuery("#slideshow").infos().width > 0) {
 
-              
+
            } else {
-              
+
            }
            //=== cadre = theImage
@@ -901,5 +898,5 @@
              }
            }
-           //============= flv,mov,mpg  ok 
+           //============= flv,mov,mpg  ok
            /* wmv nok
            * avi nok
@@ -990,5 +987,5 @@
              jQuery("#pamoorama_outter").css({ width: new_width + "px" });
              jQuery("#pamoorama_footer").css({ width: new_width + "px" });
-             //     
+             //
              //====================================================
              info_pamoorama = jQuery("#pamoorama").infos();
@@ -1278,18 +1275,18 @@
     }
     // jQuery(Parent + " p:not(:contains(' ')) ").remove();
-    // jQuery(Parent + " p:(:contains('')) ").remove(); 
+    // jQuery(Parent + " p:(:contains('')) ").remove();
     llgboframe = jQuery("#gbo").infos();
     marges_llgbo = 0;
 
     if (llgboframe.height > 0) {
- ll2 = jQuery("#gbo div:last").infos();  
+ ll2 = jQuery("#gbo div:last").infos();
         ll1 = jQuery("#gbo div:first").infos();
         ll2 ="" ;
         jQuery("#gbo div").each(function (i) {
-        
+
          if (  this.id=="") return ;
 ll2=this ;
         });
-       ll2 = jQuery(ll2).infos();  
+       ll2 = jQuery(ll2).infos();
         ll1 = ll1.width;
         ll2 = ll2.width - ll2.borderwidth.left - ll2.borderwidth.right;
@@ -1303,5 +1300,5 @@
     info_theImgContainer = jQuery("#" + "theImgContainer").infos();
     info_description = jQuery("#" + "description").infos();
-    //=============================================================================         
+    //=============================================================================
     //   jQuery(Parent + " p").css({ padding: "0px", margin: "0px "    });
     if (theme.match(RegExp("simple", "gi"))) {
@@ -1418,10 +1415,10 @@
                                     info_description.borderwidth.top +
                                     info_description.borderwidth.bottom +
-                                      options.imageAutosizeMargin*2 +  
+                                      options.imageAutosizeMargin*2 +
                                     (marges_llgbo / 2)+4;
 
         } else {
-        
-       
+
+
             info_description.top = info_theImageBox.bottom +
                         jQuery("#content").infos().top +
@@ -1433,5 +1430,5 @@
            if (msie == true) info_description.bottom -= 4;
         };
-        check_desc_v = true; 
+        check_desc_v = true;
 
     } else {
@@ -1440,5 +1437,5 @@
         // info_description.bottom -= info_img.top;
     }
-    //  
+    //
 
     info_description.height = info_description.bottom - info_description.top;
@@ -1493,8 +1490,8 @@
         jQuery("[id ^='Debug']").show();
         /*
-        Debug2  background-color:yellow 
-        Debug3 background-color:blue 
-        Debug4 background-color:green 
-        Debug5 background-color:red 
+        Debug2  background-color:yellow
+        Debug3 background-color:blue
+        Debug4 background-color:green
+        Debug5 background-color:red
 
         */
@@ -1536,5 +1533,5 @@
     });
 
-    // Custom Event, ON to turn on a debug. 
+    // Custom Event, ON to turn on a debug.
     jQuery('.debug').live('ON', function (e) {
 
@@ -1561,5 +1558,5 @@
     });
 
-    // Add another debug to the DOM 
+    // Add another debug to the DOM
     jQuery('#adddebugs').click(function () {
         jQuery('<div></div>')
@@ -1579,3 +1576,3 @@
         }
     }); //on load
-}); 
+});
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 10786)
+++ /extensions/Autosize/js/conflit.js	(revision 10787)
@@ -1,9 +1,8 @@
-﻿//==== cl_conflit  remplace $(... avec jQuery( ====
+//==== cl_conflit  remplace $(... avec jQuery( ====
 //===================================================
 var detect = navigator.userAgent.toLowerCase();
 //   $_SERVER['HTTP_USER_AGENT'] ;
 var OS, version;
-
-//============================================================================== 
+//==============================================================================
 browser = detect_browser();
 function detect_browser() {
@@ -19,5 +18,5 @@
         msie: false,
         netscape: false,
-        seamonkey: false 
+        seamonkey: false
     }
     if (checkIt('konqueror')) { mybrowser.Konqueror = true; lbrowser = "konqueror"; OS = "Linux"; }
@@ -52,5 +51,4 @@
 
 /*
-  
 */
 konqueror = mybrowser.konqueror || false;
@@ -68,5 +66,5 @@
 function conflit(element, nc) {
   if(typeof DEBUG != "boolean") DEBUG = false ;
-    //--- cl_conflit 
+    //--- cl_conflit
     if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
         ret_element = jQuery(element);
@@ -181,5 +179,5 @@
           jQuery(".gmapsPopup").css("top", h1 + "px");
         })
-        //=============================================================  
+        //=============================================================
         //   jQuery(window).resize();
       });
@@ -347,5 +345,5 @@
     if (!isCallstackPopulated) { //IE and Safari
         var currentFunction = arguments.callee.caller;
-        //next 
+        //next
         callstack = [];
         all_functions = [];
@@ -391,5 +389,5 @@
             }
             //======================
-            //? bubble  
+            //? bubble
             Expression = new RegExp("\\$", "gi")
             if (fn.match(Expression)) {
@@ -456,5 +454,5 @@
     state = states.join('\n');
     if (state == "") {
-      
+
         if ( DEBUG == "true") {
             Fn = all_functions.join('\n');
@@ -503,5 +501,5 @@
                         else initializeImageMode("resize");
                     };
-                    //==== compatibilité Gally/LLGBO ===                 
+                    //==== compatibilité Gally/LLGBO ===
                     jQuery(Parent).css({ position: "static" });
                 }
@@ -530,5 +528,5 @@
 
 } else {}
-    //-------------------------------------------------------------- 
+    //--------------------------------------------------------------
     $_0 = $;
     function $(element, nc0) {
Index: /extensions/Autosize/template/header_2_1.tpl
===================================================================
--- /extensions/Autosize/template/header_2_1.tpl	(revision 10786)
+++ /extensions/Autosize/template/header_2_1.tpl	(revision 10787)
@@ -1,3 +1,3 @@
-﻿{html_head}
+{html_head}
 {known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=0}
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.js"}
Index: /extensions/Autosize/template/header_2_2.tpl
===================================================================
--- /extensions/Autosize/template/header_2_2.tpl	(revision 10786)
+++ /extensions/Autosize/template/header_2_2.tpl	(revision 10787)
@@ -1,5 +1,5 @@
-﻿{combine_script id="jquery" load="header" path = "themes/default/js/jquery.min.js"} 
-{combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" } 
+{combine_script id="jquery" load="header" path = "themes/default/js/jquery.min.js"}
+{combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
 {combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery"}
-{combine_script id="dimensions" path = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js" require="jquery"} 
-{combine_script id="cookie" path = $AUTOSIZE_PATH|@cat:"js/jquery.cookie.js" require="jquery"} 
+{combine_script id="dimensions" path = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js" require="jquery"}
+{combine_script id="cookie" path = $AUTOSIZE_PATH|@cat:"js/jquery.cookie.js" require="jquery"}
Index: /extensions/Autosize/template/picture_2_1.tpl
===================================================================
--- /extensions/Autosize/template/picture_2_1.tpl	(revision 10786)
+++ /extensions/Autosize/template/picture_2_1.tpl	(revision 10787)
@@ -1,1 +1,1 @@
-﻿{known_script id="Affiche_script" src=$AUTOSIZE_PATH|@cat:"js/Affiche_script.js"}
+{ known_script id="Affiche_script" src=$AUTOSIZE_PATH|@cat:"js/Affiche_script.js"}
Index: /extensions/Autosize/template/picture_2_2.tpl
===================================================================
--- /extensions/Autosize/template/picture_2_2.tpl	(revision 10786)
+++ /extensions/Autosize/template/picture_2_2.tpl	(revision 10787)
@@ -1,1 +1,1 @@
-﻿{combine_script id="Affiche_script" path= $AUTOSIZE_PATH|@cat:"js/Affiche_script.js" require='jquery,cookie' }
+{combine_script id="Affiche_script" path= $AUTOSIZE_PATH|@cat:"js/Affiche_script.js" require='jquery,cookie' }