Index: /trunk/about.php
===================================================================
--- /trunk/about.php	(revision 10811)
+++ /trunk/about.php	(revision 10812)
@@ -37,5 +37,4 @@
 $title= l10n('About Piwigo');
 $page['body_id'] = 'theAboutPage';
-include(PHPWG_ROOT_PATH.'include/page_header.php');
 
 trigger_action('loc_begin_about');
@@ -51,4 +50,12 @@
 }
 
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('theAboutPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
+
+include(PHPWG_ROOT_PATH.'include/page_header.php');
 $template->pparse('about');
 include(PHPWG_ROOT_PATH.'include/page_tail.php');
Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 10811)
+++ /trunk/admin/configuration.php	(revision 10812)
@@ -85,4 +85,5 @@
     'picture_navigation_icons',
     'picture_navigation_thumb',
+    'picture_menu',
   );
 
Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 10811)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 10812)
@@ -284,4 +284,11 @@
         <span class="property">{'Activate Navigation Thumbnails'|@translate}</span>
         <input type="checkbox" name="picture_navigation_thumb" {if ($display.picture_navigation_thumb)}checked="checked"{/if}>
+      </label>
+    </li>
+    
+    <li>
+      <label>
+        <span class="property">{'Show menubar'|@translate}</span>
+        <input type="checkbox" name="picture_menu" {if ($display.picture_menu)}checked="checked"{/if}>
       </label>
     </li>
Index: /trunk/comments.php
===================================================================
--- /trunk/comments.php	(revision 10811)
+++ /trunk/comments.php	(revision 10812)
@@ -528,4 +528,12 @@
   }
 }
+
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('theCommentsPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
+
 // +-----------------------------------------------------------------------+
 // |                           html code display                           |
Index: /trunk/identification.php
===================================================================
--- /trunk/identification.php	(revision 10811)
+++ /trunk/identification.php	(revision 10812)
@@ -74,5 +74,4 @@
 $title = l10n('Identification');
 $page['body_id'] = 'theIdentificationPage';
-include(PHPWG_ROOT_PATH.'include/page_header.php');
 
 $template->set_filenames( array('identification'=>'identification.tpl') );
@@ -98,5 +97,13 @@
 }
 
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('theIdentificationPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
+
 //----------------------------------------------------------- html code display
+include(PHPWG_ROOT_PATH.'include/page_header.php');
 $template->pparse('identification');
 include(PHPWG_ROOT_PATH.'include/page_tail.php');
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 10811)
+++ /trunk/install/config.sql	(revision 10812)
@@ -43,4 +43,5 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_navigation_icons','true','Display navigation icons on picture page');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_navigation_thumb','true','Display navigation thumbnails on picture page');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_menu','false','Show menubar on picture page');
 INSERT INTO piwigo_config (param,value,comment)
   VALUES (
Index: /trunk/install/db/105-database.php
===================================================================
--- /trunk/install/db/105-database.php	(revision 10812)
+++ /trunk/install/db/105-database.php	(revision 10812)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'Show menubar on picture page';
+
+$query = '
+INSERT INTO '.PREFIX_TABLE.'config (param,value,comment)
+  VALUES (\'picture_menu\',\'false\', \''.$upgrade_description.'\')
+;';
+pwg_query($query);
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 10811)
+++ /trunk/language/en_UK/admin.lang.php	(revision 10812)
@@ -606,4 +606,5 @@
 $lang['Settings'] = 'Settings';
 $lang['Show info'] = "Show info";
+$lang['Show menubar'] = "Show menubar";
 $lang['Simulation'] = "Simulation";
 $lang['singly represented'] = "fixed representative";
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 10811)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 10812)
@@ -800,3 +800,4 @@
 $lang['Restore'] = "Restaurer";
 $lang['Restore default configuration. You will lost your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
+$lang['Show menubar'] = "Afficher le menu";
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 10811)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 10812)
@@ -842,3 +842,4 @@
 $lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Si vous voulez régénérer des miniatures, merci de vous rendre dans la <a href="%s">Gestion par lot</a>.';
 $lang['Graphics Library'] = 'Bibliothèque graphique';
+$lang['Show menubar'] = "Afficher le menu";
 ?>
Index: /trunk/nbm.php
===================================================================
--- /trunk/nbm.php	(revision 10811)
+++ /trunk/nbm.php	(revision 10812)
@@ -66,5 +66,4 @@
 $title = l10n('Notification');
 $page['body_id'] = 'theNBMPage';
-include(PHPWG_ROOT_PATH.'include/page_header.php');
 
 $template->set_filenames(array('nbm'=>'nbm.tpl'));
@@ -79,8 +78,16 @@
     )
   );
+  
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('theNBMPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
 
 // +-----------------------------------------------------------------------+
 // | html code display                                                     |
 // +-----------------------------------------------------------------------+
+include(PHPWG_ROOT_PATH.'include/page_header.php');
 $template->parse('nbm');
 include(PHPWG_ROOT_PATH.'include/page_tail.php');
Index: /trunk/notification.php
===================================================================
--- /trunk/notification.php	(revision 10811)
+++ /trunk/notification.php	(revision 10812)
@@ -78,4 +78,11 @@
     )
   );
+  
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('theNotificationPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
 
 // +-----------------------------------------------------------------------+
Index: /trunk/password.php
===================================================================
--- /trunk/password.php	(revision 10811)
+++ /trunk/password.php	(revision 10812)
@@ -154,4 +154,11 @@
 $template->assign('infos', $page['infos']);
 
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('thePasswordPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
+
 // +-----------------------------------------------------------------------+
 // |                           html code display                           |
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 10811)
+++ /trunk/picture.php	(revision 10812)
@@ -1041,4 +1041,12 @@
 }
 
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if ($conf['picture_menu'] AND (!isset($themeconf['Exclude']) OR !in_array('theIdentificationPage', $themeconf['Exclude'])))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+  $template->assign('U_ADMIN', $url_admin); // overwrited by the menu
+}
+
 include(PHPWG_ROOT_PATH.'include/page_header.php');
 trigger_action('loc_end_picture');
Index: /trunk/profile.php
===================================================================
--- /trunk/profile.php	(revision 10811)
+++ /trunk/profile.php	(revision 10812)
@@ -69,5 +69,5 @@
   $title= l10n('Your Gallery Customization');
   $page['body_id'] = 'theProfilePage';
-  include(PHPWG_ROOT_PATH.'include/page_header.php');
+  $template->set_filename('profile', 'profile.tpl');
 
   load_profile_in_template(
@@ -83,5 +83,13 @@
     $template->assign('errors', $errors);
   }
-  $template->set_filename('profile', 'profile.tpl');
+  
+  // include menubar
+  $themeconf = $template->get_template_vars('themeconf');
+  if (!isset($themeconf['Exclude']) OR !in_array('theProfilePage', $themeconf['Exclude']))
+  {
+    include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+  }
+  
+  include(PHPWG_ROOT_PATH.'include/page_header.php');
   trigger_action('loc_end_profile');
   $template->pparse('profile');
Index: /trunk/register.php
===================================================================
--- /trunk/register.php	(revision 10811)
+++ /trunk/register.php	(revision 10812)
@@ -81,5 +81,4 @@
 $title= l10n('Registration');
 $page['body_id'] = 'theRegisterPage';
-include(PHPWG_ROOT_PATH.'include/page_header.php');
 
 $template->set_filenames( array('register'=>'register.tpl') );
@@ -98,4 +97,12 @@
 }
 
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('theRegisterPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
+
+include(PHPWG_ROOT_PATH.'include/page_header.php');
 $template->parse('register');
 include(PHPWG_ROOT_PATH.'include/page_tail.php');
Index: /trunk/search.php
===================================================================
--- /trunk/search.php	(revision 10811)
+++ /trunk/search.php	(revision 10812)
@@ -228,5 +228,13 @@
   $template->assign('errors', $errors);
 }
-//------------------------------------------------------------ log informations
+
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('theSearchPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
+
+//------------------------------------------------------------ html code display
 include(PHPWG_ROOT_PATH.'include/page_header.php');
 $template->pparse('search');
Index: /trunk/tags.php
===================================================================
--- /trunk/tags.php	(revision 10811)
+++ /trunk/tags.php	(revision 10812)
@@ -192,4 +192,11 @@
 }
 
+// include menubar
+$themeconf = $template->get_template_vars('themeconf');
+if (!isset($themeconf['Exclude']) OR !in_array('theTagsPage', $themeconf['Exclude']))
+{
+  include( PHPWG_ROOT_PATH.'include/menubar.inc.php');
+}
+
 include(PHPWG_ROOT_PATH.'include/page_header.php');
 $template->pparse('tags');
Index: /trunk/themes/Sylvia/theme.css
===================================================================
--- /trunk/themes/Sylvia/theme.css	(revision 10811)
+++ /trunk/themes/Sylvia/theme.css	(revision 10812)
@@ -142,4 +142,8 @@
 	background:#222 url(images/fillet.gif) repeat-x scroll left top; 
 	min-height:466px; 
+	border: 1px solid #000; 
+	border-top: 0; 
+	margin:21px 7px 0 290px !important; 
+	padding-top:7px; 
 }
 
@@ -154,11 +158,4 @@
 	width: 100%; 
 	min-width: 100%; 
-}
-
-#theCategoryPage .content { 
-	border: 1px solid #000; 
-	border-top: 0; 
-	margin:21px 7px 0 290px !important; 
-	padding-top:7px; 
 }
 
@@ -363,4 +360,8 @@
 }
 
+.pictureContent {
+	margin:0 7px 7px 290px;
+}
+
 #addComment fieldset {
   color: #f70;
Index: /trunk/themes/default/local_head.tpl
===================================================================
--- /trunk/themes/default/local_head.tpl	(revision 10811)
+++ /trunk/themes/default/local_head.tpl	(revision 10812)
@@ -8,2 +8,4 @@
 	{combine_css path="themes/default/print.css" order=-10}
 {/if}
+
+{if !isset($MENUBAR)}<style type="text/css">.content {ldelim} margin-left:auto !important; }</style>{/if}
Index: /trunk/themes/default/template/about.tpl
===================================================================
--- /trunk/themes/default/template/about.tpl	(revision 10811)
+++ /trunk/themes/default/template/about.tpl	(revision 10812)
@@ -1,9 +1,6 @@
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
   <div class="titrePage">
-    <ul class="categoryActions">
-			<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-				<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-			</a></li>
-    </ul>
+    <ul class="categoryActions"></ul>
     <h2>{'About'|@translate}</h2>
   </div>
Index: /trunk/themes/default/template/comments.tpl
===================================================================
--- /trunk/themes/default/template/comments.tpl	(revision 10811)
+++ /trunk/themes/default/template/comments.tpl	(revision 10812)
@@ -1,10 +1,7 @@
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
 
 <div class="titrePage">
-	<ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-	</ul>
+	<ul class="categoryActions"></ul>
 	<h2>{'User comments'|@translate}</h2>
 </div>
Index: /trunk/themes/default/template/identification.tpl
===================================================================
--- /trunk/themes/default/template/identification.tpl	(revision 10811)
+++ /trunk/themes/default/template/identification.tpl	(revision 10812)
@@ -1,10 +1,7 @@
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
 
 <div class="titrePage">
-	<ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-	</ul>
+	<ul class="categoryActions"></ul>
 	<h2>{'Identification'|@translate}</h2>
 </div>
Index: /trunk/themes/default/template/nbm.tpl
===================================================================
--- /trunk/themes/default/template/nbm.tpl	(revision 10811)
+++ /trunk/themes/default/template/nbm.tpl	(revision 10812)
@@ -1,10 +1,6 @@
-
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
 	<div class="titrePage">
-		<ul class="categoryActions">
-			<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-				<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-			</a></li>
-		</ul>
+		<ul class="categoryActions"></ul>
 		<h2>{'Notification'|@translate}</h2>
 	</div>
Index: /trunk/themes/default/template/notification.tpl
===================================================================
--- /trunk/themes/default/template/notification.tpl	(revision 10811)
+++ /trunk/themes/default/template/notification.tpl	(revision 10812)
@@ -3,12 +3,10 @@
 <link rel="alternate" type="application/rss+xml" title="{'Complete RSS feed (photos, comments)'|@translate}" href="{$U_FEED}"> 
 {/html_head} 
+
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
 
   <div class="titrePage">
-    <ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-    </ul>
+    <ul class="categoryActions"></ul>
     <h2>{'Notification'|@translate}</h2>
   </div>
Index: /trunk/themes/default/template/password.tpl
===================================================================
--- /trunk/themes/default/template/password.tpl	(revision 10811)
+++ /trunk/themes/default/template/password.tpl	(revision 10812)
@@ -1,10 +1,7 @@
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
 
 	<div class="titrePage">
-		<ul class="categoryActions">
-			<li><a href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}" class="pwg-state-default pwg-button">
-				<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-			</a></li>
-		</ul>
+		<ul class="categoryActions"></ul>
 		<h2>{'Password forgotten'|@translate}</h2>
 	</div>
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 10811)
+++ /trunk/themes/default/template/picture.tpl	(revision 10812)
@@ -2,4 +2,9 @@
 {include file='include/autosize.inc.tpl'}
 *}
+
+{if isset($MENUBAR)}
+{$MENUBAR}
+<div id="content" class="pictureContent">
+{/if}
 
 {if isset($errors)}
@@ -311,2 +316,6 @@
 
 {if !empty($PLUGIN_PICTURE_AFTER)}{$PLUGIN_PICTURE_AFTER}{/if}
+
+{if isset($MENUBAR)}
+</div>
+{/if}
Index: /trunk/themes/default/template/profile.tpl
===================================================================
--- /trunk/themes/default/template/profile.tpl	(revision 10811)
+++ /trunk/themes/default/template/profile.tpl	(revision 10812)
@@ -1,2 +1,3 @@
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
 
@@ -12,9 +13,5 @@
 
 <div class="titrePage">
-	<ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-	</ul>
+	<ul class="categoryActions"></ul>
 	<h2>{'Profile'|@translate}</h2>
 </div>
Index: /trunk/themes/default/template/register.tpl
===================================================================
--- /trunk/themes/default/template/register.tpl	(revision 10811)
+++ /trunk/themes/default/template/register.tpl	(revision 10812)
@@ -1,2 +1,3 @@
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="registerPage">
 
@@ -4,9 +5,5 @@
 
 <div class="titrePage">
-	<ul class="categoryActions">
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
-	</ul>
+	<ul class="categoryActions"></ul>
 	<h2>{'Registration'|@translate}</h2>
 </div>
Index: /trunk/themes/default/template/search.tpl
===================================================================
--- /trunk/themes/default/template/search.tpl	(revision 10811)
+++ /trunk/themes/default/template/search.tpl	(revision 10812)
@@ -15,4 +15,5 @@
 *}
 
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
 
@@ -22,7 +23,4 @@
 			<li><a href="{$U_HELP}" onclick="popuphelp(this.href); return false;" title="{'Help'|@translate}" class="pwg-state-default pwg-button">
 				<span class="pwg-icon pwg-icon-help">&nbsp;</span><span class="pwg-button-text">{'Help'|@translate}</span>
-			</a></li>
-			<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-				<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
 			</a></li>
 		</ul>
Index: /trunk/themes/default/template/tags.tpl
===================================================================
--- /trunk/themes/default/template/tags.tpl	(revision 10811)
+++ /trunk/themes/default/template/tags.tpl	(revision 10812)
@@ -1,2 +1,3 @@
+{if isset($MENUBAR)}{$MENUBAR}{/if}
 <div id="content" class="content">
 
@@ -13,7 +14,4 @@
 		</a></li>
 {/if}
-		<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-		</a></li>
 	</ul>
 	<h2>{'Tags'|@translate}</h2>
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 10811)
+++ /trunk/themes/default/theme.css	(revision 10812)
@@ -90,9 +90,4 @@
  */
 .content {
-	margin: 1em;
-}
-
-#theCategoryPage .content
-{
 	margin-left: 20em;  /* = #menubar width + 2em */
 }
@@ -412,4 +407,14 @@
 }
 
+/* only if menubar is shown */
+.pictureContent {
+	margin-left:20em;
+}
+.pictureContent #imageToolBar, 
+.pictureContent #theImage, 
+.pictureContent hr.separation { 
+	clear:none;
+}
+
 
 /**