Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 10814)
+++ /trunk/language/de_DE/admin.lang.php	(revision 10815)
@@ -318,5 +318,5 @@
 $lang['Repair and optimize database'] = 'Reparieren und Optimierung der Datenbank';
 $lang['selection'] = 'Auswahl';
-$lang['set to'] = 'Setzte auf';
+$lang['set to'] = 'Setze auf';
 $lang['singly represented'] = 'festgelegtes Vorschaubild';
 $lang['This site already exists'] = 'Diese Seite gibt es bereits';
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 10814)
+++ /trunk/language/de_DE/common.lang.php	(revision 10815)
@@ -36,5 +36,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times)'] = '%.2f (%d mal bewerted)';
+$lang['%.2f (rated %d times)'] = '%.2f (%d-mal bewertet)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d Album aktualisiert';
@@ -52,5 +52,5 @@
 $lang['%d new user'] = '%d neuer Benutzer';
 $lang['%d new users'] = '%d neue Benutzer';
-$lang['About'] = 'über uns';
+$lang['About'] = 'Über uns';
 $lang['All tags'] = 'Alle Stichworte';
 $lang['Any tag'] = 'Beliebiges Stichwort';
@@ -62,5 +62,5 @@
 $lang['Album'] = 'Album';
 $lang['Close this window'] = 'Dieses Fenster schließen';
-$lang['Complete RSS feed (photos, comments)'] = 'Vollständiger RSS feed (Fotos, Kommentare)';
+$lang['Complete RSS feed (photos, comments)'] = 'Vollständiger RSS-Feed (Fotos, Kommentare)';
 $lang['Confirm Password'] = 'Neues Passwort bestätigen';
 $lang['Connection settings'] = 'Login-Einstellungen';
@@ -70,9 +70,9 @@
 $lang['Created on'] = 'Erstellt am';
 $lang['Creation date'] = 'Erstellungsdatum';
-$lang['Current password is wrong'] = 'aktuelles Passwort ist falsch';
+$lang['Current password is wrong'] = 'Aktuelles Passwort ist falsch';
 $lang['Dimensions'] = 'Abmessungen';
 $lang['Display'] = 'Anzeige';
 $lang['Each listed rule must be satisfied.'] = 'Jede aufgelistete Regel muss erfüllt sein';
-$lang['Email address is missing. Please specify an email address.'] = 'Die E-Mail-Adresse fehlt';
+$lang['Email address is missing. Please specify an email address.'] = 'Die E-Mail-Adresse fehlt.';
 $lang['Email address'] = 'E-Mail-Adresse';
 $lang['Enter your personnal informations'] = 'Geben Sie Ihre persönlichen Daten an';
@@ -87,5 +87,5 @@
 $lang['Help'] = 'Hilfe';
 $lang['Identification'] = 'Anmeldung';
-$lang['Photos only RSS feed'] = 'Nur Foto RSS feed';
+$lang['Photos only RSS feed'] = 'Nur Foto RSS-Feed';
 $lang['Keyword'] = 'Stichwort';
 $lang['Links'] = 'Links';
@@ -93,13 +93,13 @@
 $lang['New on %s'] = 'Neu am %s';
 $lang['New password confirmation does not correspond'] = 'Fehler bei der Bestätigung des Passwortes';
-$lang['New password sent by email'] = 'Neues Passwort per E-Mail zusenden';
+$lang['New password sent by email'] = 'Neues Passwort per E-Mail zugesendet';
 $lang['No email address'] = 'Keine E-Mail-Adresse';
 $lang['No classic user matches this email address'] = 'Diese E-Mail-Adresse ist nicht bekannt';
-$lang['Notification'] = 'Rss-Feed';
+$lang['Notification'] = 'RSS-Feed';
 $lang['Number of items'] = 'Anzahl der Elemente';
-$lang['Original dimensions'] = 'Ursprünglichen Abmessungen';
+$lang['Original dimensions'] = 'Ursprüngliche Abmessungen';
 $lang['Password forgotten'] = 'Passwort vergessen';
 $lang['Password'] = 'Passwort';
-$lang['Post date'] = 'Eintragsdatum';
+$lang['Post date'] = 'Einstellungsdatum';
 $lang['Posted on'] = 'Eingetragen am';
 $lang['Profile'] = 'Profil';
@@ -109,5 +109,5 @@
 $lang['Register'] = 'Registrieren';
 $lang['Registration'] = 'Registrierung';
-$lang['Related tags'] = 'mit den Stichworten';
+$lang['Related tags'] = 'Mit den Stichworten';
 $lang['Reset'] = 'Abbrechen';
 $lang['Retrieve password'] = 'Passwort abrufen';
@@ -115,6 +115,6 @@
 $lang['Search tags'] = 'Stichworte suchen';
 $lang['Search'] = 'Suchen';
-$lang['display available tags'] = 'Alle verfügbaren Stichworte';
-$lang['Send new password'] = 'Senden mir ein neues Passwort';
+$lang['display available tags'] = 'alle verfügbaren Stichworte';
+$lang['Send new password'] = 'Sende mir ein neues Passwort';
 $lang['Since'] = 'Seit';
 $lang['Sort by'] = 'Sortieren nach';
@@ -122,6 +122,6 @@
 $lang['Tag'] = 'Stichwort';
 $lang['Tags'] = 'Stichworte';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Die RSS Mittteilung beinhaltet Neuigkeiten von dieser Website: neue Fotos, aktualiisierte Alben, neue Kommentare. Benutze einen RSS feed reader.';
-$lang['Unknown feed identifier'] = 'Feed-ID unbekanntem';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Die RSS Mittteilung beinhaltet Neuigkeiten von dieser Website: neue Fotos, aktualisierte Alben, neue Kommentare. Benutze einen RSS feed reader.';
+$lang['Unknown feed identifier'] = 'Feed-ID unbekannt';
 $lang['User comments'] = 'Benutzerkommentare';
 $lang['Username'] = 'Benutzername';
@@ -129,5 +129,5 @@
 $lang['Webmaster'] = 'Webmaster';
 $lang['Week %d'] = 'Woche %d';
-$lang['About Piwigo'] = 'über Piwigo';
+$lang['About Piwigo'] = 'Über Piwigo';
 $lang['You are not authorized to access the requested page'] = 'Sie sind nicht berechtigt die gewünschte Seite aufzurufen';
 $lang['add to caddie'] = 'in den Sammelkorb';
@@ -138,8 +138,8 @@
 $lang['author(s) : %s'] = 'Autor(en) : %s';
 $lang['Expand all albums'] = 'Albenbaum komplett ausklappen';
-$lang['posted after %s (%s)'] = 'zur Verfügung gestellt nachdem die %s (%s)';
-$lang['posted before %s (%s)'] = 'zur Verfügung gestellt, bevor die %s (%s)';
-$lang['posted between %s (%s) and %s (%s)'] = 'zur Verfügung gestellt von %s (%s) und das %s (%s)';
-$lang['posted on %s'] = 'zur Verfügung gestellt am %s';
+$lang['posted after %s (%s)'] = 'eingestellt nach dem %s (%s)';
+$lang['posted before %s (%s)'] = 'eingestellt vor dem %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'eingestellt zwischen %s (%s) und %s (%s)';
+$lang['posted on %s'] = 'eingestellt am %s';
 $lang['Best rated'] = 'Am besten bewertet';
 $lang['display best rated photos'] = 'zeige die am besten bewerteten Fotos';
@@ -147,9 +147,9 @@
 $lang['Calendar'] = 'Kalender';
 $lang['All'] = 'Alles';
-$lang['display each day with photos, month per month'] = 'zeige jeden Tag mit Fotos. Monat für Monat';
-$lang['View'] = 'Anblick';
+$lang['display each day with photos, month per month'] = 'zeige jeden Tag mit Fotos, Monat für Monat';
+$lang['View'] = 'Ansicht';
 $lang['chronology_monthly_calendar'] = 'Monatskalender';
 $lang['chronology_monthly_list'] = 'Monatliche Liste';
-$lang['chronology_weekly_list'] = 'Wöchentlichen Liste';
+$lang['chronology_weekly_list'] = 'Wöchentliche Liste';
 $lang['Click here if your browser does not automatically forward you'] = 'Klicken Sie hier, wenn Sie nicht durch ihren Browser weitergeleitet werden.';
 $lang['comment date'] = 'Datum des Kommentars';
@@ -159,10 +159,10 @@
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Dein Kommentar wurde abgelehnt da er evtl. gesetzte Regeln verletzt';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Ein Administrator muss deinen Beitrag freischalten bevor er sichtbar wird.';
-$lang['This login is already used by another user'] = 'Dieser Benutzername ist bereits';
+$lang['This login is already used by another user'] = 'Dieser Benutzername ist bereits vergeben';
 $lang['Comments'] = 'Kommentare';
 $lang['Add a comment'] = 'Kommentar hinzufügen';
 $lang['created after %s (%s)'] = 'erstellt nach dem %s (%s)';
 $lang['created before %s (%s)'] = 'erstellt vor dem %s (%s)';
-$lang['created between %s (%s) and %s (%s)'] = 'erstellt von %s (%s) und das %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'erstellt zwischen %s (%s) und %s (%s)';
 $lang['created on %s'] = 'erstellt am %s';
 $lang['Customize'] = 'Benutzerdaten / Layout';
@@ -187,5 +187,5 @@
 $lang['display your favorites photos'] = 'zeige die Favoriten-Fotos';
 $lang['Favorites'] = 'Favoriten';
-$lang['First'] = 'Erste';
+$lang['First'] = 'Erste Seite';
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'Der Schreibzugriff auf die Datenbank ist wegen Wartungsarbeiten blockiert. Bitte besuchen Sie uns später wieder.';
 $lang['Page generated in'] = 'Seite erstellt in';
@@ -194,12 +194,12 @@
 $lang['available for administrators only'] = 'verfügbar nur für Administratoren';
 $lang['display this album'] = 'zeige dieses Album';
-$lang['display last user comments'] = 'Zeige die letzten Benutzerkommentare';
+$lang['display last user comments'] = 'zeige die letzten Benutzerkommentare';
 $lang['customize the appareance of the gallery'] = 'anpassen des Erscheinungsbildes der Galerie';
-$lang['search'] = 'Suche';
+$lang['search'] = 'suchen';
 $lang['Home'] = 'Startseite';
 $lang['Identification'] = 'Identifikation';
 $lang['in this album'] = 'in diesem Album';
-$lang['in %d sub-album'] = 'im %d Sub-Album';
-$lang['in %d sub-albums'] = 'in den %d Sub-Alben';
+$lang['in %d sub-album'] = 'in %d Sub-Album';
+$lang['in %d sub-albums'] = 'in %d Sub-Alben';
 $lang['included'] = 'enthalten';
 $lang['Invalid password!'] = 'Passwort ungültig!';
@@ -210,11 +210,11 @@
 $lang['E-mail address'] = $lang['Email address'];
 $lang['obligatory'] = 'obligatorisch';
-$lang['Maximum photo height'] = 'Maximale Foto Höhe';
-$lang['Maximum height must be a number superior to 50'] = 'Die maximale Höhe der Bilder muss mehr als 50';
-$lang['Maximum photo width'] = 'Maximale Foto Breite';
-$lang['Maximum width must be a number superior to 50'] = 'Die Breite der Bilder muss mehr als 50';
+$lang['Maximum photo height'] = 'Maximale Fotohöhe';
+$lang['Maximum height must be a number superior to 50'] = 'Die maximale Höhe der Bilder größer als 50 sein';
+$lang['Maximum photo width'] = 'Maximale Fotobreite';
+$lang['Maximum width must be a number superior to 50'] = 'Die Breite der Bilder muss größer als 50 sein';
 $lang['display a calendar by creation date'] = 'zeige einen Kalender nach Erstellungsdatum';
-$lang['display all photos in all sub-albums'] = 'zeige alle Fotos in allen Unteralben';
-$lang['return to normal view mode'] = 'Zurück zur normalen Ansicht';
+$lang['display all photos in all sub-albums'] = 'zeige alle Fotos in allen Sub-Alben';
+$lang['return to normal view mode'] = 'zurück zur normalen Ansicht';
 $lang['display a calendar by posted date'] = 'zeige einen Kalender nach Einstellungsdatum';
 $lang['month'][10] = 'Oktober';
@@ -232,36 +232,36 @@
 $lang['Most visited'] = 'Am häufigsten gesehen';
 $lang['display most visited photos'] = 'zeige die meistbesuchten Fotos';
-$lang['Unknown identifier'] = 'Identifikatoren unbekannt';
+$lang['Unknown identifier'] = 'ID unbekannt';
 $lang['New password'] = 'Neues Passwort';
 $lang['Rate this photo'] = 'Bewerte dieses Foto';
 $lang['Next'] = 'Vorwärts';
 $lang['no rate'] = 'noch keine Bewertung';
-$lang['Photos posted within the last %d day.'] = 'Fotos hochgeladen im letzen %d Tag.';
-$lang['Photos posted within the last %d days.'] = 'Fotos hochgeladen in den letzen %d Tagen.';
+$lang['Photos posted within the last %d day.'] = 'Fotos eingestellt im letzen %d Tag.';
+$lang['Photos posted within the last %d days.'] = 'Fotos eingestellt in den letzen %d Tagen.';
 $lang['password updated'] = 'Passwort aktualisiert';
 $lang['Recent period must be a positive integer value'] = 'Der Zeitraum muss eine positive ganze Zahl sein';
 $lang['photo'] = 'Foto';
-$lang['Click on the photo to see it in high definition'] = 'Klicke auf das Foto um es in High Definition zu sehen';
-$lang['Show file metadata'] = 'Zeigt die Meta-Daten in der Datei';
+$lang['Click on the photo to see it in high definition'] = 'Klicke auf das Foto um es in hoher Auflösung zu sehen';
+$lang['Show file metadata'] = 'Zeige die Meta-Daten in der Datei';
 $lang['Powered by'] = 'Unterstützt von';
 $lang['Preferences'] = 'Einstellungen';
 $lang['Previous'] = 'Zurück';
-$lang['Random photos'] = 'Zufälliges Foto';
+$lang['Random photos'] = 'Zufällige Fotos';
 $lang['display a set of random photos'] = 'zeige einen Satz von zufälligen Fotos';
 $lang['Recent albums'] = 'Neueste Alben';
 $lang['display recently updated albums'] = 'Zeigt kürzlich aktualisierte Alben an';
 $lang['Recent period'] = 'Wieviele Tage sollen Bilder als "neu" markiert werden?';
-$lang['Recent photos'] = 'Letzte Fotos';
-$lang['display most recent photos'] = 'zeige das letzte Foto';
+$lang['Recent photos'] = 'Neueste Fotos';
+$lang['display most recent photos'] = 'zeige die neuesten Fotos';
 $lang['Redirection...'] = 'Umleitung ...';
 $lang['Please, enter a login'] = 'Bitte geben Sie einen Benutzernamen ein';
 $lang['login mustn\'t end with a space character'] = 'Benutzername darf nicht mit einem Leerzeichen enden';
-$lang['login mustn\'t start with a space character'] = 'Login dürfen nicht mit einem Leerzeichen anfangen';
-$lang['this login is already used'] = 'Diesen Benutzername ist bereits vergeben';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-Mail-Adresse muss in der Form xxx@yyy.eee (Beispiel: jack@altern.org)';
-$lang['please enter your password again'] = 'Bitte geben Sie erneut Ihr Passwort ein';
+$lang['login mustn\'t start with a space character'] = 'Benutzername darf nicht mit einem Leerzeichen anfangen';
+$lang['this login is already used'] = 'dieser Benutzername ist bereits vergeben';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-Mail-Adresse muss in der Form xxx@yyy.eee (Beispiel: jack@altern.org) sein';
+$lang['please enter your password again'] = 'bitte geben Sie erneut Ihr Passwort ein';
 $lang['Auto login'] = 'Auto-Login';
 $lang['remove this tag from the list'] = 'entfernen dieses Stichwort von der Liste';
-$lang['representative'] = 'representativ';
+$lang['representative'] = 'repräsentativ';
 $lang['Search for Author'] = 'Suche nach Autor';
 $lang['Search in albums'] = 'Suche in den Alben';
@@ -270,8 +270,8 @@
 $lang['End-Date'] = 'Enddatum';
 $lang['Kind of date'] = 'Datumstyp';
-$lang['Search for words'] = 'Suche nach Wort';
+$lang['Search for words'] = 'Suche nach Wörtern';
 $lang['Search for all terms'] = 'Suche alle Wörter';
 $lang['Search for any terms'] = 'Wörter suchen';
-$lang['Empty query. No criteria has been entered.'] = 'Abfrage leer. Kein Kriterium zur Verfügung.';
+$lang['Empty query. No criteria has been entered.'] = 'Abfrage leer. Kein Kriterium eingegeben.';
 $lang['Search Options'] = 'Suchoptionen';
 $lang['Search results'] = 'Suchergebnisse';
@@ -279,12 +279,12 @@
 $lang['searched words : %s'] = 'Suchbegriffe : %s';
 $lang['Contact'] = 'Kontakt';
-$lang['set as album representative'] = 'Als repräsentativer Album setzen';
+$lang['set as album representative'] = 'als Vorschaubild des Albums setzen';
 $lang['Show number of comments'] = 'Zeige die Anzahl der Kommentare';
 $lang['Show number of hits'] = 'Zeige die Anzahl der Bildaufrufe';
 $lang['slideshow'] = 'Diashow';
-$lang['stop the slideshow'] = 'Stop die Diashow';
+$lang['stop the slideshow'] = 'Diashow beenden';
 $lang['Specials'] = 'Erweitert';
 $lang['SQL queries in'] = 'SQL-Abfragen in';
-$lang['display only recently posted photos'] = 'zeige nur kürzlich hochgeladene Fotos';
+$lang['display only recently posted photos'] = 'zeige nur kürzlich eingestellte Fotos';
 $lang['return to the display of all photos'] = 'zurück zu allen Fotos';
 $lang['the beginning'] = 'Beginn';
@@ -294,10 +294,10 @@
 $lang['A comment on your site'] = 'Ein Kommentar auf der Website';
 $lang['today'] = 'heute';
-$lang['Update your rating'] = 'Aktualisieren Ihre Bewertung';
-$lang['wrong filename'] = 'ungültiger Verzeichnisname';
-$lang['the username must be given'] = 'Nutzername fehlt';
+$lang['Update your rating'] = 'Aktualisieren Sie Ihre Bewertung';
+$lang['wrong filename'] = 'ungültiger Dateiname';
+$lang['the username must be given'] = 'Benutzername fehlt';
 $lang['useful when password forgotten'] = 'nützlich, wenn Sie ihr Passwort vergessen';
 $lang['Quick search'] = 'Schnellsuche';
-$lang['Connected user: %s'] = 'Connected Benutzer : %s';
+$lang['Connected user: %s'] = 'Verbundene Benutzer: %s';
 $lang['IP: %s'] = 'IP: %s';
 $lang['Browser: %s'] = 'Browser: %s';
@@ -310,9 +310,9 @@
 $lang['Registration of %s'] = 'Registrierung von %s';
 $lang['Album: %s'] = 'Album: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Status der Benutzer "guest" nicht entspricht, Verwendung des Standard. Bitte kontaktieren Sie den Webmaster.';
-$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, Webmaster und spezieller Benutzer können nicht diese Methode verwenden';
-$lang['this email address is already in use'] = 'Diese E-Mail-Adresse wird bereits verwendet';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Status, der Benutzer "guest" nicht entspricht, Verwendung des Standardstatus. Bitte kontaktieren Sie den Webmaster.';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, Webmaster und spezielle Benutzer können diese Methode nicht verwenden';
+$lang['this email address is already in use'] = 'diese E-Mail-Adresse wird bereits verwendet';
 $lang['Album results for'] = 'Albumresultate für';
-$lang['Tag results for'] = 'Ergebnisse der Tag für';
+$lang['Tag results for'] = 'Stichwort-Ergebnisse für';
 $lang['from %s to %s'] = 'von %s bis %s';
 $lang['Play of slideshow'] = 'Start der Diashow';
@@ -327,9 +327,9 @@
 $lang['%d photo'] = '%d Foto';
 $lang['%d photos'] = '%d Fotos';
-$lang['%d photo is also linked to current tags'] = '%d Foto ist auch mit dem gegenwärtigen Stichwort verbunden';
-$lang['%d photos are also linked to current tags'] = '%d Fotos sind auch mit den gegenwärtigen Stichworten verbunden';
-$lang['display photos linked to this tag'] = 'Zeige Fotos, welche mit diesem Stichwort verlinkt sind';
-$lang['photos posted during the last %d days'] = 'Fotos hochgeladen während der letzten %d Tage';
-$lang['Piwigo Help'] = 'Hilfe Piwigo';
+$lang['%d photo is also linked to current tags'] = '%d Foto ist auch mit diesen Stichworten verbunden';
+$lang['%d photos are also linked to current tags'] = '%d Fotos sind auch mit diesen Stichworten verbunden';
+$lang['display photos linked to this tag'] = 'Zeige Fotos, die mit diesem Stichwort verbunden sind';
+$lang['photos posted during the last %d days'] = 'Fotos eingestellt während der letzten %d Tage';
+$lang['Piwigo Help'] = 'Piwigo Hilfe';
 $lang['Rank'] = 'Rang';
 $lang['group by letters'] = 'Gruppieren nach Buchstaben';
@@ -341,14 +341,14 @@
 $lang['Sent by'] = 'Gesendet von';
 $lang['Are you sure?'] = 'Sind Sie sicher?';
-$lang['delete this comment'] = 'Diesen Kommentar löschen';
+$lang['delete this comment'] = 'diesen Kommentar löschen';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder nicht von ihrem Browser unterstützt. Sie müssen sie erlauben um sich zu verbinden.';
-$lang['edit this comment'] = 'editiere diesen Kommentar';
-$lang['Edit a comment'] = 'Editiere einen Kommentar';
-$lang['(!) This comment requires validation'] = '(!) Dieser Kommentar sollte überprüft werden';
+$lang['edit this comment'] = 'bearbeite diesen Kommentar';
+$lang['Edit a comment'] = 'Bearbeite einen Kommentar';
+$lang['(!) This comment requires validation'] = '(!) Dieser Kommentar muss berprüft werden';
 $lang['Welcome'] = 'Willkommen';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen in deiner Piwigo Fotogalerie!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen in deiner Piwigo-Fotogalerie!';
 $lang['... or browse your empty gallery'] = '... oder durchsuche deine leere Galerie';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... oder deaktiviere diese Nachricht, Ich finde mich selbst zurecht';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, deine Piwigo Fotogalerie ist leer!';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... oder deaktiviere diese Nachricht, ich finde mich selbst zurecht';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, deine Piwigo-Fotogalerie ist leer!';
 $lang['I want to add photos'] = 'Ich möchte Fotos hinzufügen';
 $lang['Manage this user comment: %s'] = 'Verwalte diesen Benutzerkommentar: %s';
@@ -356,4 +356,4 @@
 $lang['This author removed the comment with id %d'] = 'Dieser Autor löschte den Kommentar mit der ID %d';
 $lang['validate this comment'] = 'überprüfe diesen Kommentar';
-$lang['html tags are not allowed in login'] = ' HTML-Tags sind im Login nicht erlaubt';
+$lang['html tags are not allowed in login'] = 'HTML-Tags sind im Benutzername nicht erlaubt';
 ?>
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 10814)
+++ /trunk/language/en_UK/common.lang.php	(revision 10815)
@@ -75,5 +75,5 @@
 $lang['Each listed rule must be satisfied.'] = "Each listed criterion must be satisfied.";
 $lang['Email address'] = "Email address";
-$lang['Enter your personnal informations'] = "Enter your personnal data";
+$lang['Enter your personnal informations'] = "Enter your personal data";
 $lang['Error sending email'] = "Error when sending email";
 $lang['File name'] = "File name";